plugins {
    kotlin("js")
    `maven-publish`
}

group = "org.example"
version = "1.0-SNAPSHOT"
println(name)

repositories {
    maven("https://dl.bintray.com/kotlin/kotlin-eap")
    mavenCentral()
}

val kotlinSourcesJar by tasks.named("kotlinSourcesJar")
publishing.publications {
    create<MavenPublication>("default") {
        from(components["kotlin"])
        artifact(kotlinSourcesJar)
    }
}

kotlin {
    val kotlinVersion: String by project

    target {
        compilations.configureEach {
            kotlinOptions {
                languageVersion = "1.4"
            }
        }
        browser {
            testTask {
                useMocha {
                }
            }
        }
    }

    sourceSets {

        val main by getting {
            dependencies {
                implementation(kotlin("stdlib-js", version = kotlinVersion))
            }
        }

        val test by getting {
            dependencies {
                implementation(kotlin("test", version = kotlinVersion))
                implementation(kotlin("test-js", version = kotlinVersion))
            }
        }
    }
}